Loading...
Searching...
No Matches
dolfin::XMLArray Class Reference

I/O of array data in XML format. More...

`#include <XMLArray.h>`

## Static Public Member Functions

template<typename T>
static void | read (std::vector< T > &x, const pugi::xml_node xml_dolfin)
| Read XML vector. Vector must have correct size.
template<typename T>
static void | write (const std::vector< T > &x, const std::string type, pugi::xml_node xml_node)
| Write the XML file.

## Detailed Description

I/O of array data in XML format.

The documentation for this class was generated from the following file:

- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/io/XMLArray.h